<template>
  <lazy-theme-telegram-payment-withdrawal-normal-bank-transfer-withdrawal
    :normal-banks="props.normalBanks"
    :payment-banks="props.paymentBanks"
    :profile="props.profile"
  />
</template>
<script lang="ts" setup>
import { IGetPaymentGatewayBanksResponse } from "@/models/getPaymentGatewayBanksRespone";
import { ProfileDto } from "@/models/getProfileResponse";
import { IGetTransactionBankListResponse } from "@/models/getTransactionBankListResponse";

const props = defineProps({
  normalBanks: {
    type: Object as PropType<IGetTransactionBankListResponse>,
    required: true,
  },
  paymentBanks: {
    type: Object as PropType<IGetPaymentGatewayBanksResponse>,
    required: true,
  },
  profile: {
    type: Object as PropType<ProfileDto>,
    required: true,
  },
});
</script>
